## r-bioc-ioniser 2.14.0+dfsg

=== DESCRIPTION ===
Package: IONiseR
Title: Quality Assessment Tools for Oxford Nanopore MinION data
Version: 2.14.0
Authors@R: person("Mike", "Smith", email = "grimbough@gmail.com", role
        = c("aut", "cre"))
Description: IONiseR provides tools for the quality assessment of
    Oxford Nanopore MinION data. It extracts summary statistics
    from a set of fast5 files and can be used either before or
    after base calling.  In addition to standard summaries of the
    read-types produced, it provides a number of plots for
    visualising metrics relative to experiment run time or
    spatially over the surface of a flowcell.
License: MIT + file LICENSE
Depends: R (>= 3.4)
Imports: rhdf5, dplyr, magrittr, tidyr, ShortRead, Biostrings, ggplot2,
        methods, BiocGenerics, XVector, tibble, stats, BiocParallel,
        bit64, stringr, utils
VignetteBuilder: knitr
Suggests: BiocStyle, knitr, rmarkdown, gridExtra, testthat,
        minionSummaryData
biocViews: QualityControl, DataImport, Sequencing
NeedsCompilation: no
Author: Mike Smith [aut, cre]
Maintainer: Mike Smith <grimbough@gmail.com>
RoxygenNote: 6.0.1
Collate: 'IONiseR.R' 'classes.R' 'Methods-accessors.R'
        'Methods-subsetting.R' 'fast5Readers.R' 'fast5Status.R'
        'fast5readers_summary.R' 'fast5utilities.R' 'fastqProcessing.R'
        'plotting_kmers.R' 'plotting_layout.R'
        'plotting_summaryStats.R' 'processing_bam.R' 'readSummary.R'
        'squiggle.R'
git_url: https://git.bioconductor.org/packages/IONiseR
git_branch: RELEASE_3_12
git_last_commit: ccf91a8
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
Packaged: 2020-10-28 01:07:25 UTC; biocbuild

=== debian/changelog ===
r-bioc-ioniser (2.14.0+dfsg-2) unstable; urgency=medium

  * Fix copyright year

 -- Nilesh Patra <nilesh@debian.org>  Tue, 15 Jun 2021 00:24:26 +0530

r-bioc-ioniser (2.14.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #986170)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 31 Mar 2021 00:42:45 +0530

=== debian/control ===
Source: r-bioc-ioniser
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Nilesh Patra <nilesh@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-rhdf5,
               r-cran-dplyr,
               r-cran-magrittr,
               r-cran-tidyr,
               r-bioc-shortread,
               r-bioc-biostrings,
               r-cran-ggplot2,
               r-bioc-biocgenerics,
               r-bioc-xvector,
               r-cran-tibble,
               r-bioc-biocparallel,
               r-cran-bit64,
               r-cran-stringr,
               r-cran-knitr,
               r-cran-markdown,
               r-bioc-biocstyle
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ioniser
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ioniser.git
Homepage: https://bioconductor.org/packages/IONiseR/
Rules-Requires-Root: no

Package: r-bioc-ioniser
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Quality Assessment Tools for Oxford Nanopore MinION data
 IONiseR provides tools for the quality assessment of
 Oxford Nanopore MinION data. It extracts summary statistics
 from a set of fast5 files and can be used either before or
 after base calling.  In addition to standard summaries of the
 read-types produced, it provides a number of plots for
 visualising metrics relative to experiment run time or
 spatially over the surface of a flowcell.

## r-bioc-ioniser 2.18.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: IONiseR
 Title: Quality Assessment Tools for Oxford Nanopore MinION data
-Version: 2.14.0
+Version: 2.18.0
 Authors@R: person("Mike", "Smith", email = "grimbough@gmail.com", role
         = c("aut", "cre"))
 Description: IONiseR provides tools for the quality assessment of
@@ -30,8 +30,8 @@
         'plotting_summaryStats.R' 'processing_bam.R' 'readSummary.R'
         'squiggle.R'
 git_url: https://git.bioconductor.org/packages/IONiseR
-git_branch: RELEASE_3_12
-git_last_commit: ccf91a8
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
-Packaged: 2020-10-28 01:07:25 UTC; biocbuild
+git_branch: RELEASE_3_14
+git_last_commit: 9256877
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
+Packaged: 2021-10-26 21:44:38 UTC; biocbuild

=== debian/changelog ===
r-bioc-ioniser (2.18.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Add marker to not delete the needed Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 22:16:06 +0100

r-bioc-ioniser (2.16.0+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * d/t/autopkgtest-pkg-r.hook: hook to remove tests
    depending on miniondatasummary since this is not packaged
    (Closes: #995199)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 28 Sep 2021 20:50:30 +0530

r-bioc-ioniser (2.16.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)

  [ Nilesh Patra ]
  * d/control: Remove myself from uploaders, add Andreas instead
  * Re-add needed B-D: Reverts routine-update: dh-update-R
    to update Build-Depends (3)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 11 Sep 2021 23:14:57 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: r-bioc-ioniser
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Nilesh Patra <nilesh@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -19,10 +20,11 @@
                r-bioc-biocparallel,
                r-cran-bit64,
                r-cran-stringr,
+# <dh-update-R>do not delete this</dh-update-R>
+               r-bioc-biocstyle,
                r-cran-knitr,
-               r-cran-markdown,
-               r-bioc-biocstyle
-Standards-Version: 4.5.1
+               r-cran-markdown
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ioniser
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ioniser.git
 Homepage: https://bioconductor.org/packages/IONiseR/

## r-bioc-ioniser 2.20.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: IONiseR
 Title: Quality Assessment Tools for Oxford Nanopore MinION data
-Version: 2.18.0
+Version: 2.20.0
 Authors@R: person("Mike", "Smith", email = "grimbough@gmail.com", role
         = c("aut", "cre"))
 Description: IONiseR provides tools for the quality assessment of
@@ -30,8 +30,8 @@
         'plotting_summaryStats.R' 'processing_bam.R' 'readSummary.R'
         'squiggle.R'
 git_url: https://git.bioconductor.org/packages/IONiseR
-git_branch: RELEASE_3_14
-git_last_commit: 9256877
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
-Packaged: 2021-10-26 21:44:38 UTC; biocbuild
+git_branch: RELEASE_3_15
+git_last_commit: 6519986
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
+Packaged: 2022-04-26 20:58:48 UTC; biocbuild

=== debian/changelog ===
r-bioc-ioniser (2.20.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 14:41:42 +0200

## r-bioc-ioniser 2.22.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: IONiseR
 Title: Quality Assessment Tools for Oxford Nanopore MinION data
-Version: 2.20.0
+Version: 2.22.0
 Authors@R: person("Mike", "Smith", email = "grimbough@gmail.com", role
         = c("aut", "cre"))
 Description: IONiseR provides tools for the quality assessment of
@@ -30,8 +30,8 @@
         'plotting_summaryStats.R' 'processing_bam.R' 'readSummary.R'
         'squiggle.R'
 git_url: https://git.bioconductor.org/packages/IONiseR
-git_branch: RELEASE_3_15
-git_last_commit: 6519986
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
-Packaged: 2022-04-26 20:58:48 UTC; biocbuild
+git_branch: RELEASE_3_16
+git_last_commit: 2484a93
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
+Packaged: 2022-11-01 21:52:04 UTC; biocbuild

=== debian/changelog ===
r-bioc-ioniser (2.22.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 18:27:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-ioniser
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ioniser
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ioniser.git
+Homepage: https://bioconductor.org/packages/IONiseR/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -24,11 +28,7 @@
                r-bioc-biocstyle,
                r-cran-knitr,
                r-cran-markdown
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ioniser
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ioniser.git
-Homepage: https://bioconductor.org/packages/IONiseR/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-ioniser
 Architecture: all

## r-bioc-ioniser 2.24.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: IONiseR
 Title: Quality Assessment Tools for Oxford Nanopore MinION data
-Version: 2.22.0
+Version: 2.24.0
 Authors@R: person("Mike", "Smith", email = "grimbough@gmail.com", role
         = c("aut", "cre"))
 Description: IONiseR provides tools for the quality assessment of
@@ -30,8 +30,8 @@
         'plotting_summaryStats.R' 'processing_bam.R' 'readSummary.R'
         'squiggle.R'
 git_url: https://git.bioconductor.org/packages/IONiseR
-git_branch: RELEASE_3_16
-git_last_commit: 2484a93
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
-Packaged: 2022-11-01 21:52:04 UTC; biocbuild
+git_branch: RELEASE_3_17
+git_last_commit: 4ef2d40
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
+Packaged: 2023-04-25 21:30:01 UTC; biocbuild

=== debian/changelog ===
r-bioc-ioniser (2.24.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Replace d/t/control by d/t/autopkgtest-r-pkg.conf

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 06:55:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ioniser
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ioniser.git
 Homepage: https://bioconductor.org/packages/IONiseR/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-ioniser 2.26.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: IONiseR
 Title: Quality Assessment Tools for Oxford Nanopore MinION data
-Version: 2.24.0
+Version: 2.26.0
 Authors@R: person("Mike", "Smith", email = "grimbough@gmail.com", role
         = c("aut", "cre"))
 Description: IONiseR provides tools for the quality assessment of
@@ -30,8 +30,8 @@
         'plotting_summaryStats.R' 'processing_bam.R' 'readSummary.R'
         'squiggle.R'
 git_url: https://git.bioconductor.org/packages/IONiseR
-git_branch: RELEASE_3_17
-git_last_commit: 4ef2d40
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
-Packaged: 2023-04-25 21:30:01 UTC; biocbuild
+git_branch: RELEASE_3_18
+git_last_commit: 44d1bbb
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
+Packaged: 2023-10-24 21:41:09 UTC; biocbuild

=== debian/changelog ===
r-bioc-ioniser (2.26.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2023 09:22:14 +0100

=== debian/control ===
--- 
+++ 
@@ -24,10 +24,9 @@
                r-bioc-biocparallel,
                r-cran-bit64,
                r-cran-stringr,
-# <dh-update-R>do not delete this</dh-update-R>
-               r-bioc-biocstyle,
                r-cran-knitr,
-               r-cran-markdown
+               r-cran-markdown,
+               r-bioc-biocstyle
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-ioniser

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

execute_after_dh_auto_build:
	cd inst/doc && Rscript -e "require(knitr); require(markdown); knit('IONiseR.Rmd', 'IONiseR.md'); markdownToHTML('IONiseR.md', 'IONiseR.html', options=c('use_xhtml', 'base64_images'));" && rm -f IONiseR.md

override_dh_fixperms:
	dh_fixperms
	find debian -name '*.fast5' | xargs chmod -x

## r-bioc-ioniser 2.28.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: IONiseR
 Title: Quality Assessment Tools for Oxford Nanopore MinION data
-Version: 2.26.0
+Version: 2.28.0
 Authors@R: person("Mike", "Smith", email = "grimbough@gmail.com", role
         = c("aut", "cre"))
 Description: IONiseR provides tools for the quality assessment of
@@ -30,8 +30,9 @@
         'plotting_summaryStats.R' 'processing_bam.R' 'readSummary.R'
         'squiggle.R'
 git_url: https://git.bioconductor.org/packages/IONiseR
-git_branch: RELEASE_3_18
-git_last_commit: 44d1bbb
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
-Packaged: 2023-10-24 21:41:09 UTC; biocbuild
+git_branch: RELEASE_3_19
+git_last_commit: d4e3dbc
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
+Packaged: 2024-05-01 04:19:33 UTC; biocbuild

=== debian/changelog ===
r-bioc-ioniser (2.28.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:12:02 +0200

r-bioc-ioniser (2.28.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 17:39:08 +0200

## r-bioc-ioniser 2.30.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: IONiseR
 Title: Quality Assessment Tools for Oxford Nanopore MinION data
-Version: 2.28.0
+Version: 2.30.0
 Authors@R: person("Mike", "Smith", email = "grimbough@gmail.com", role
         = c("aut", "cre"))
 Description: IONiseR provides tools for the quality assessment of
@@ -30,9 +30,9 @@
         'plotting_summaryStats.R' 'processing_bam.R' 'readSummary.R'
         'squiggle.R'
 git_url: https://git.bioconductor.org/packages/IONiseR
-git_branch: RELEASE_3_19
-git_last_commit: d4e3dbc
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
-Packaged: 2024-05-01 04:19:33 UTC; biocbuild
+git_branch: RELEASE_3_20
+git_last_commit: 7cd9446
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
+Packaged: 2024-10-30 01:16:57 UTC; biocbuild

=== debian/changelog ===
r-bioc-ioniser (2.30.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 21:27:09 +0100

r-bioc-ioniser (2.30.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 14:11:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ioniser
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ioniser.git
 Homepage: https://bioconductor.org/packages/IONiseR/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
opts=\
repack,compression=xz,\
repacksuffix=+dfsg,\
dversionmangle=auto,\
downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/IONiseR.html .*/IONiseR_(.*).tar.gz
